Create an issue
Create an issue in a project. When root-cause deduplication finds a match, no issue is created: the existing open issue is returned with created: false and records the report as a recurrence.
POST https://api.sazabi.com/v1/issues
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/issues" \ -H "Content-Type: application/json" \ -d '{}'{ "issue": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "name": "string", "description": "string", "status": "open", "severity": "low", "componentId": "616ccd92-d666-4180-8349-8d125b269fac", "componentName": "string", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "mutedAt": "2019-08-24T14:15:22Z", "muteHitCount": 0, "lastActivityAt": "2019-08-24T14:15:22Z", "lastDeliveredAt": "2019-08-24T14:15:22Z", "locked": true, "redacted": true }, "created": true, "message": "string", "duplicateIssueId": "a3608f73-8748-4976-a652-e89484bdc683", "possibleDuplicateOfIssueId": "2071f671-41ad-400f-8cfb-56a8f9246d8c"}